Skip to main content
`Ctrl`+`K`

# TAOTRON

The TRON algorithm is an active-set Newton trust region method for bound-constrained minimization.

## Options Database Keys

- -tao_tron_maxgpits - maximum number of gradient projections per TRON iterate

- -tao_subset_type - “subvec”,”mask”,”matrix-free”, strategies for handling active-sets

## Level

beginner

## Location

src/tao/bound/impls/tron/tron.c

## Examples

src/tao/bound/tutorials/jbearing2.c
src/tao/bound/tutorials/plate2.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages